Skip to main content
POST
/
v1
/
extraction-schemas
Create Schema Endpoint
curl --request POST \
  --url https://api.glialhealth.com/v1/extraction-schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    {
      "key": "<string>",
      "hint": "<string>",
      "pattern": "<string>",
      "required": false,
      "type": "string"
    }
  ],
  "document_type": "<string>",
  "name": "<string>",
  "tables": [
    {
      "columns": [
        "<string>"
      ],
      "key": "<string>"
    }
  ]
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "document_type": "<string>",
  "fields": [
    {
      "key": "<string>",
      "hint": "<string>",
      "pattern": "<string>",
      "required": false,
      "type": "string"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "tables": [
    {
      "columns": [
        "<string>"
      ],
      "key": "<string>"
    }
  ],
  "object": "extraction_schema"
}

Authorizations

Authorization
string
header
required

Your Folio API key, sent as Authorization: Bearer <api_key>.

Headers

authorization
string | null

Body

application/json

Inline CustomSchema body plus an optional human-facing name.

fields
CustomFieldSpec · object[]
required
Required array length: 1 - 50 elements
document_type
string | null
name
string | null
tables
CustomTableSpec · object[]
Maximum array length: 10

Response

Successful Response

created_at
string<date-time>
required
document_type
string | null
required
fields
CustomFieldSpec · object[]
required
id
string
required
name
string | null
required
tables
CustomTableSpec · object[]
required
object
string
default:extraction_schema